RWS Logo
Show / Hide Table of Contents

Hosts

List hosts

Example Request:

curl "https://controller-host:8001/api/v2/hosts" \
	-X GET \
	-u u_jsmith@example.com_u0VmztKJrwqf:

Example Response:

{
    "hosts": [
        {
            "hostname": "controller-host",
            "hostAgentPort": 4637,
            "hostAgentRunning": true,
            "languagePairs": {
                "EngFra_Generic_SRV_TNMV_8_4_x_1": true,
                "SpaEng_Generic_SRV_TNMV_8_4_x_2": true
            },
            "jobEngines": [
                {
                    "config": {
                        "id": "34a2",
                        "host": "controller-host",
                        "hostAgentPort": 4637
                    },
                    "running": true,
                    "expectedRunning": true
                }
            ],
            "translationEngines": [
                {
                    "config": {
                        "id": "a1d8",
                        "host": "controller-host",
                        "hostAgentPort": 4637,
                        "languagePair": "EngFra_Generic_SRV_TNMV_8_4_x_1",
                        "isEdgeCloud": false
                    },
                    "running": true,
                    "expectedRunning": true
                },
                {
                    "config": {
                        "id": "onw8",
                        "host": "controller-host",
                        "hostAgentPort": 4637,
                        "languagePair": "SpaEng_Generic_SRV_TNMV_8_4_x_2",
                        "isEdgeCloud": false
                    },
                    "running": true,
                    "expectedRunning": true
                }
            ],
            "message": {
                "warnings": [
                    "warning1",
                    "warning2"
                ],
                "errors": [
                    "error1",
                    "error2"
                ]
            }
        }
    ]
}

Return the list of all hosts.

This endpoint is restricted to the following roles: admin, linguist, super admin, translator

HTTP Request

GET /api/v2/hosts

Returns

Returns all hosts as a HostList object with the following attributes:

Name Type Description
hosts array of objects List of all hosts as an array of Host objects

Add a host

Example Request:

curl "https://controller-host:8001/api/v2/hosts" \
	-X POST \
	-u u_jsmith@example.com_u0VmztKJrwqf: \
	-d hostAgentPort="4637" \
	-d hostname="controller-host"

Example Response:

{
    "hostname": "controller-host",
    "hostAgentPort": 4637,
    "hostAgentRunning": true,
    "languagePairs": {
        "EngFra_Generic_SRV_TNMV_8_4_x_1": true,
        "SpaEng_Generic_SRV_TNMV_8_4_x_2": true
    },
    "message": {}
}

Add a new host, which can serve job engine(s) and/or translation engine(s). This host must already have Language Weaver Edge installed and its Host Agent running. This host can be either a Controller host or a Worker host, so long as there is only one Controller host in the entire Language Weaver Edge deployment.

This endpoint is restricted to the following roles: admin, super admin

HTTP Request

POST /api/v2/hosts

Request Parameters

Name Type Description Default Value
hostname string Name of host
hostAgentPort int Port where Host Agent is running

Returns

Returns the newly-added host as a Host object with the following attributes:

Name Type Description
hostname string Name of host
hostAgentPort int Port where this host's Host Agent is running
hostAgentRunning boolean Whether this host's Host Agent is running
languagePairs map from string to boolean For each language pair installed on this host, the language pair identifier (string) and whether it is licensed on this host (bool)
message object A Message object with attributes:
→ warnings array of strings A list of host warning messages
→ errors array of strings A list of host error messages
jobEngines array of objects List of job engines on this host as an array of JobEngine objects
translationEngines array of objects List of translation engines on this host as an array of TranslationEngine objects

Retrieve host profile

Example Request:

curl "https://controller-host:8001/api/v2/hosts/controller-host/profile" \
	-X GET \
	-u u_jsmith@example.com_u0VmztKJrwqf:

Example Response:

{
    "gpus": {
        "driverVersion": "396.37",
        "count": 2,
        "gpu": [
            {
                "modelName": "GeForce GTX 1080 Ti",
                "memoryUsage": {
                    "totalInMB": 11178,
                    "freeInMB": 11178,
                    "usedInMB": 0
                },
                "utilization": 0,
                "processes": [
                    {
                        "pid": 15724,
                        "processName": "/opt/sdl/ets/bin/ets-engine",
                        "usedMemoryInMB": 674
                    }
                ]
            }
        ]
    },
    "memory": {
        "totalInMB": 32011,
        "freeInMB": 2105,
        "usedInMB": 3713
    },
    "cpu": [
        {
            "modelName": "Intel(R) Xeon(R) CPU X5650 @ 2.67GHz",
            "cores": 2,
            "cacheSizeInMB": 12288,
            "clockSpeedInMHz": 2660,
            "flags": [
                "fpu",
                "vme",
                "de",
                "pse",
                "tsc",
                "msr",
                "pae",
                "mce",
                "cx8",
                "apic",
                "sep",
                "mtrr",
                "pge",
                "mca",
                "cmov",
                "pat",
                "pse36",
                "pn",
                "clflush",
                "dts",
                "acpi",
                "mmx",
                "fxsr",
                "sse",
                "sse2",
                "ss",
                "ht",
                "tm",
                "ia64",
                "pbe"
            ],
            "utilization": 2.22
        }
    ],
    "disk": [
        {
            "path": "/",
            "totalInMB": 201456,
            "usedInMB": 28325,
            "freeInMB": 162875
        }
    ]
}

Retrieves the system configuration profile of the specified host

This endpoint is restricted to the following roles: admin, super admin

HTTP Request

GET /api/v2/hosts/{hostname}/profile

Path Parameters

Name Type Description
hostname string Name of host

Returns

Returns the system configuration profile of a host as a HostSystemProfile object.

Name Type Description
gpus object Profile of GPUs on host (expanded below)
→ driverVersion string Version of the GPU driver being used
→ count int Number of GPUs available on host
→ gpu array of objects List of profiles of GPUs on host (expanded below)
→ → modelName string Model name of GPU
→ → memoryUsage object Memory usage of the GPU (expanded below)
→ → → totalInMB int Total amount of frame buffer memory available on GPU
→ → → freeInMB int Amount of memory on GPU not being used
→ → → usedInMB int Amount of memory being used on GPU
→ → utilization float Percentage of GPU being used
→ → processes array of objects List of processes using the GPU (expanded below)
→ → → pid int ID of process
→ → → processName string Name of process
→ → → usedMemoryInMB int Amount of memory being used by process on GPU
memory object Profile of memory on host
→ totalInMB int Total amount of memory available
→ freeInMB int Amount of memory not being used
→ usedInMB int Amount of memory being used
cpu array of objects List of profiles of CPUs on host
→ modelName string Model name of CPU
→ cores int Number of CPU cores
→ cacheSizeInMB string Cache size of CPU
→ clockSpeedInMHz int Clock speed of CPU
→ flags array of strings Flags of CPU
→ utilization float Percentage of CPU being used
disk array of objects List of profiles of disks and disk space on host
→ path string Path to mountpoint of disk
→ totalInMB int Total amount of memory available on disk
→ freeInMB int Amount of memory not being used on disk
→ usedInMB int Amount of memory being used on disk

Delete a host

Example Request:

curl "https://controller-host:8001/api/v2/hosts/controller-host" \
	-X DELETE \
	-u u_jsmith@example.com_u0VmztKJrwqf:

Example Response:

{
    "hostname": "controller-host",
    "hostAgentPort": 4637,
    "hostAgentRunning": true,
    "languagePairs": {
        "EngFra_Generic_SRV_TNMV_8_4_x_1": true,
        "SpaEng_Generic_SRV_TNMV_8_4_x_2": true
    },
    "message": {}
}

Delete a host so it can no longer be used to serve job engines or translation engines. This will also delete all the job engines and translation engines that were previously added to the host.

This endpoint is restricted to the following roles: admin, super admin

HTTP Request

DELETE /api/v2/hosts/{hostname}

Path Parameters

Name Type Description
hostname string Name of host

Returns

Returns the deleted host as a Host object.

Add a job engine

Example Request:

curl "https://controller-host:8001/api/v2/hosts/controller-host/job-engines" \
	-X POST \
	-u u_jsmith@example.com_u0VmztKJrwqf: \
	-d id="34a2"

Example Response:

{
    "config": {
        "id": "34a2",
        "host": "controller-host",
        "hostAgentPort": 4637
    },
    "running": false,
    "expectedRunning": false
}

Add a job engine to a host.

This endpoint is restricted to the following roles: admin, super admin

HTTP Request

POST /api/v2/hosts/{hostname}/job-engines

Path Parameters

Name Type Description
hostname string Name of host

Request Parameters

Name Type Description Default Value
id (optional) string Identifier to name job engine; must be unique, no more than 20 characters, and contain only alphanumeric characters or an underscore; if not specified, a random identifier will be generated

Returns

Returns the newly-added job engine as a JobEngine object with the following attributes:

Name Type Description
config object Configuration of job engine (expanded below)
→ id string Identifier of job engine
→ host string Name of host on which job engine is running
→ hostAgentPort string Host Agent port
running boolean Whether this job engine is actually running
expectedRunning boolean Whether this job engine is expected to be running

Start a job engine

Example Request:

curl "https://controller-host:8001/api/v2/hosts/controller-host/job-engines/34a2/start" \
	-X PUT \
	-u u_jsmith@example.com_u0VmztKJrwqf:

Example Response:

{
    "config": {
        "id": "34a2",
        "host": "controller-host",
        "hostAgentPort": 4637
    },
    "running": false,
    "expectedRunning": true
}

Start an existing job engine so it is available for translation requests.

This endpoint is restricted to the following roles: admin, super admin

HTTP Request

PUT /api/v2/hosts/{hostname}/job-engines/{engineId}/start

Path Parameters

Name Type Description
hostname string Name of host
engineId string Identifier of job engine

Returns

Returns the started job engine as a JobEngine object.

Stop a job engine

Example Request:

curl "https://controller-host:8001/api/v2/hosts/controller-host/job-engines/34a2/stop" \
	-X PUT \
	-u u_jsmith@example.com_u0VmztKJrwqf:

Example Response:

{
    "config": {
        "id": "34a2",
        "host": "controller-host",
        "hostAgentPort": 4637
    },
    "running": true,
    "expectedRunning": false
}

Stop an existing job engine so it is no longer available for translation requests. Some in progress translation jobs may be lost, so it is recommended to wait for all jobs to complete before proceeding.

This endpoint is restricted to the following roles: admin, super admin

HTTP Request

PUT /api/v2/hosts/{hostname}/job-engines/{engineId}/stop

Path Parameters

Name Type Description
hostname string Name of host
engineId string Identifier of job engine

Returns

Returns the stopped job engine as a JobEngine object.

Reset a job engine config

Example Request:

curl "https://controller-host:8001/api/v2/hosts/controller-host/job-engines/34a2/reset-config" \
	-X PUT \
	-u u_jsmith@example.com_u0VmztKJrwqf:

Example Response:

"OK"

Reset an existing job engine config to default settings. The job engine must be restarted for the new settings to take effect.

This endpoint is restricted to the following roles: admin, super admin

HTTP Request

PUT /api/v2/hosts/{hostname}/job-engines/{engineId}/reset-config

Path Parameters

Name Type Description
hostname string Name of host
engineId string Identifier of job engine

Returns

Returns HTTP Status 200 (OK).

Delete a job engine

Example Request:

curl "https://controller-host:8001/api/v2/hosts/controller-host/job-engines/34a2" \
	-X DELETE \
	-u u_jsmith@example.com_u0VmztKJrwqf:

Example Response:

{
    "config": {
        "id": "34a2",
        "host": "controller-host",
        "hostAgentPort": 4637
    },
    "running": true,
    "expectedRunning": true
}

Delete a job engine from a host. Some in progress translation jobs may be lost, so it is recommended to wait for all jobs to complete before proceeding.

This endpoint is restricted to the following roles: admin, super admin

HTTP Request

DELETE /api/v2/hosts/{hostname}/job-engines/{engineId}

Path Parameters

Name Type Description
hostname string Name of host
engineId string Identifier of job engine

Returns

Returns the deleted job engine as a JobEngine object.

Add a translation engine

Example Request:

curl "https://controller-host:8001/api/v2/hosts/controller-host/translation-engines" \
	-X POST \
	-u u_jsmith@example.com_u0VmztKJrwqf: \
	-d desiredProcessingUnits="2" \
	-d id="a1d8" \
	-d languagePair="EngFra_Generic_SRV_TNMV_8_4_x_1"

Example Response:

{
    "config": {
        "id": "a1d8",
        "host": "controller-host",
        "hostAgentPort": 4637,
        "languagePair": "EngFra_Generic_SRV_TNMV_8_4_x_1",
        "isEdgeCloud": false,
        "desiredProcessingUnits": 2
    },
    "running": false,
    "expectedRunning": false
}

Add a translation engine with a specific language pair to a host.

This endpoint is restricted to the following roles: admin, super admin

HTTP Request

POST /api/v2/hosts/{hostname}/translation-engines

Path Parameters

Name Type Description
hostname string Name of host

Request Parameters

Name Type Description Default Value
languagePair string Language pair to serve -- must be a language pair already installed and licensed on this host
desiredProcessingUnits (optional) int Number of processing units desired to assign to this translation engine 1
maximumProcessingUnits (optional) int Maximum number of processing units Language Weaver Edge can automatically assign to this translation engine same as the value of desiredProcessingUnits
id (optional) string Identifier to name translation engine; must be unique, no more than 20 characters, and contain only alphanumeric characters or an underscore; if not specified, a random identifier will be generated
mode (optional) string Translation engine mode that is available only for NMT language pairs (either gpu - optimized for quality, gpuSpeed - optimized for speed, cpu - optimized for quality, cpuSpeed - optimized for speed, or auto or left blank for auto-detect) auto

Returns

Returns the newly-added translation engine as a TranslationEngine object with the following attributes:

Name Type Description
config object Configuration of translation engine (expanded below)
→ id string Identifier of translation engine
→ host string Name of host on which translation engine is running
→ languagePair string Language pair configured for translation on this translation engine
→ hostAgentPort string Host Agent port
→ isEdgeCloud boolean Whether language pair is on Edge Cloud
→ desiredProcessingUnits int Number of processing units desired to assign to this translation engine
→ maximumProcessingUnits int Maximum number of processing units Language Weaver Edge can automatically assign to this translation engine
→ mode string Translation engine mode
running boolean Whether this translation engine is actually running
expectedRunning boolean Whether this translation engine is expected to be running

Start a translation engine

Example Request:

curl "https://controller-host:8001/api/v2/hosts/controller-host/translation-engines/a1d8/start" \
	-X PUT \
	-u u_jsmith@example.com_u0VmztKJrwqf:

Example Response:

{
    "config": {
        "id": "a1d8",
        "host": "controller-host",
        "hostAgentPort": 4637,
        "languagePair": "EngFra_Generic_SRV_TNMV_8_4_x_1",
        "isEdgeCloud": false
    },
    "running": false,
    "expectedRunning": true
}

Start an existing translation engine so it is available to produce translations. Some in progress translation jobs may be lost, so it is recommended to wait for all jobs to complete before proceeding.

This endpoint is restricted to the following roles: admin, super admin

HTTP Request

PUT /api/v2/hosts/{hostname}/translation-engines/{engineId}/start

Path Parameters

Name Type Description
hostname string Name of host
engineId string Identifier of translation engine

Returns

Returns the started translation engine as a TranslationEngine object.

Stop a translation engine

Example Request:

curl "https://controller-host:8001/api/v2/hosts/controller-host/translation-engines/a1d8/stop" \
	-X PUT \
	-u u_jsmith@example.com_u0VmztKJrwqf:

Example Response:

{
    "config": {
        "id": "a1d8",
        "host": "controller-host",
        "hostAgentPort": 4637,
        "languagePair": "EngFra_Generic_SRV_TNMV_8_4_x_1",
        "isEdgeCloud": false
    },
    "running": true,
    "expectedRunning": false
}

Stop an existing translation engine so it is no longer available to produce translations. Some in progress translation jobs may be lost, so it is recommended to wait for all jobs to complete before proceeding.

This endpoint is restricted to the following roles: admin, super admin

HTTP Request

PUT /api/v2/hosts/{hostname}/translation-engines/{engineId}/stop

Path Parameters

Name Type Description
hostname string Name of host
engineId string Identifier of translation engine

Returns

Returns the stopped translation engine as a TranslationEngine object.

Reset a translation engine config

Example Request:

curl "https://controller-host:8001/api/v2/hosts/controller-host/translation-engines/a1d8/reset-config" \
	-X PUT \
	-u u_jsmith@example.com_u0VmztKJrwqf:

Example Response:

"OK"

Reset an existing translation engine config to default settings. The translation engine must be restarted for the new settings to take effect.

This endpoint is restricted to the following roles: admin, super admin

HTTP Request

PUT /api/v2/hosts/{hostname}/translation-engines/{engineId}/reset-config

Path Parameters

Name Type Description
hostname string Name of host
engineId string Identifier of translation engine

Request Parameters

Name Type Description Default Value
mode (optional) string Translation engine mode that is available only for NMT language pairs (either gpu - optimized for quality, gpuSpeed - optimized for speed, cpu - optimized for quality, cpuSpeed - optimized for speed, or auto or left blank for auto-detect) auto

Returns

Returns HTTP Status 200 (OK).

Delete a translation engine

Example Request:

curl "https://controller-host:8001/api/v2/hosts/controller-host/translation-engines/a1d8" \
	-X DELETE \
	-u u_jsmith@example.com_u0VmztKJrwqf:

Example Response:

{
    "config": {
        "id": "a1d8",
        "host": "controller-host",
        "hostAgentPort": 4637,
        "languagePair": "EngFra_Generic_SRV_TNMV_8_4_x_1",
        "isEdgeCloud": false
    },
    "running": true,
    "expectedRunning": true
}

Delete a translation engine from a host. This operation will cause all job engines to be stopped, and restarted if they were previously running.

This endpoint is restricted to the following roles: admin, super admin

HTTP Request

DELETE /api/v2/hosts/{hostname}/translation-engines/{engineId}

Path Parameters

Name Type Description
hostname string Name of host
engineId string Identifier of translation engine

Returns

Returns the deleted translation engine as a TranslationEngine object.

Add a training engine

Example Request:

curl "https://controller-host:8001/api/v2/hosts/controller-host/training-engines" \
	-X POST \
	-u u_jsmith@example.com_u0VmztKJrwqf: \
	-d id="d9s4"

Example Response:

{
    "config": {
        "id": "d9s4",
        "host": "controller-host",
        "hostAgentPort": 4637
    },
    "running": false,
    "expectedRunning": false
}

Add a training engine to a host.

This endpoint is restricted to the following roles: admin, super admin

HTTP Request

POST /api/v2/hosts/{hostname}/training-engines

Path Parameters

Name Type Description
hostname string Name of host

Request Parameters

Name Type Description Default Value
id (optional) string Identifier to name training engine; must be unique, no more than 20 characters, and contain only alphanumeric characters or an underscore; if not specified, a random identifier will be generated
mode (optional) string Mode of training engine (either cpu, gpu - for hosts with a GPU, or auto or left blank for auto-detect) auto

Returns

Returns the newly-added training engine as a TrainingEngine object with the following attributes:

Name Type Description
config object Configuration of training engine (expanded below)
→ id string Identifier of training engine
→ host string Name of host on which training engine is running
→ hostAgentPort string Host Agent port
running boolean Whether this training engine is actually running
expectedRunning boolean Whether this training engine is expected to be running

Start a training engine

Example Request:

curl "https://controller-host:8001/api/v2/hosts/controller-host/training-engines/d9s4/start" \
	-X PUT \
	-u u_jsmith@example.com_u0VmztKJrwqf:

Example Response:

{
    "config": {
        "id": "d9s4",
        "host": "controller-host",
        "hostAgentPort": 4637
    },
    "running": false,
    "expectedRunning": true
}

Start an existing training engine so it is available for training requests.

This endpoint is restricted to the following roles: admin, super admin

HTTP Request

PUT /api/v2/hosts/{hostname}/training-engines/{engineId}/start

Path Parameters

Name Type Description
hostname string Name of host
engineId string Identifier of training engine

Returns

Returns the started training engine as a TrainingEngine object.

Stop a training engine

Example Request:

curl "https://controller-host:8001/api/v2/hosts/controller-host/training-engines/d9s4/stop" \
	-X PUT \
	-u u_jsmith@example.com_u0VmztKJrwqf:

Example Response:

{
    "config": {
        "id": "d9s4",
        "host": "controller-host",
        "hostAgentPort": 4637
    },
    "running": true,
    "expectedRunning": false
}

Stop an existing training engine so it is no longer available for training requests. Some in progress training jobs may be lost, so it is recommended to wait for all jobs to complete before proceeding.

This endpoint is restricted to the following roles: admin, super admin

HTTP Request

PUT /api/v2/hosts/{hostname}/training-engines/{engineId}/stop

Path Parameters

Name Type Description
hostname string Name of host
engineId string Identifier of training engine

Returns

Returns the stopped training engine as a TrainingEngine object.

Reset a training engine config

Example Request:

curl "https://controller-host:8001/api/v2/hosts/controller-host/training-engines/d9s4/reset-config" \
	-X PUT \
	-u u_jsmith@example.com_u0VmztKJrwqf:

Example Response:

"OK"

Reset an existing training engine config to default settings. The training engine must be restarted for the new settings to take effect.

This endpoint is restricted to the following roles: admin, super admin

HTTP Request

PUT /api/v2/hosts/{hostname}/training-engines/{engineId}/reset-config

Path Parameters

Name Type Description
hostname string Name of host
engineId string Identifier of training engine

Request Parameters

Name Type Description Default Value
mode (optional) string Mode of training engine (either cpu, gpu - for hosts with a GPU, or auto or left blank for auto-detect) auto

Returns

Returns HTTP Status 200 (OK).

Delete a training engine

Example Request:

curl "https://controller-host:8001/api/v2/hosts/controller-host/training-engines/d9s4" \
	-X DELETE \
	-u u_jsmith@example.com_u0VmztKJrwqf:

Example Response:

{
    "config": {
        "id": "d9s4",
        "host": "controller-host",
        "hostAgentPort": 4637
    },
    "running": true,
    "expectedRunning": true
}

Delete a training engine from a host. Some in progress training jobs may be lost, so it is recommended to wait for all jobs to complete before proceeding.

This endpoint is restricted to the following roles: admin, super admin

HTTP Request

DELETE /api/v2/hosts/{hostname}/training-engines/{engineId}

Path Parameters

Name Type Description
hostname string Name of host
engineId string Identifier of training engine

Returns

Returns the deleted training engine as a TrainingEngine object.

Add a summarizer engine

Example Request:

curl "https://controller-host:8001/api/v2/hosts/controller-host/summarizer-engines" \
	-X POST \
	-u u_jsmith@example.com_u0VmztKJrwqf: \
	-d id="cd51"

Example Response:

{
    "config": {
        "id": "cd51",
        "host": "controller-host",
        "hostAgentPort": 4637,
        "returnIndexesOnly": false,
        "minSegmentLength": 0,
        "requireEosPunctuation": true,
        "summaryLength": 3,
        "summarizationTimeout": 600
    },
    "running": false,
    "expectedRunning": false
}

Add a summarizer engine with a specific language pair to a host.

This endpoint is restricted to the following roles: admin, super admin

HTTP Request

POST /api/v2/hosts/{hostname}/summarizer-engines

Path Parameters

Name Type Description
hostname string Name of host

Request Parameters

Name Type Description Default Value
id (optional) string Identifier to name summarizer engine; must be unique, no more than 20 characters, and contain only alphanumeric characters or an underscore; if not specified, a random identifier will be generated

Returns

Returns the newly-added summarizer engine as a SummarizerEngine object with the following attributes:

Name Type Description
config object Configuration of summarizer engine (expanded below)
→ id string Identifier of summarizer engine
→ host string Name of host on which summarizer engine is running
→ hostAgentPort string Host Agent port
→ returnIndexesOnly boolean Whether to return the indices of the 'summaryLength' segments
→ minSegmentLength int only analyze segments above this number of characters
→ requireEosPunctuation boolean Whether to require end of sentence punctuation ['.', '?', '!']
→ summaryLength int The maximum number of summaries to return
→ summarizationTimeout int Timeout for summarization in seconds
running boolean Whether this summarizer engine is actually running
expectedRunning boolean Whether this summarizer engine is expected to be running

Start a summarizer engine

Example Request:

curl "https://controller-host:8001/api/v2/hosts/controller-host/summarizer-engines/cd51/start" \
	-X PUT \
	-u u_jsmith@example.com_u0VmztKJrwqf:

Example Response:

{
    "config": {
        "id": "cd51",
        "host": "controller-host",
        "hostAgentPort": 4637,
        "returnIndexesOnly": false,
        "minSegmentLength": 0,
        "requireEosPunctuation": true,
        "summaryLength": 3,
        "summarizationTimeout": 600
    },
    "running": false,
    "expectedRunning": true
}

Start an existing summarizer engine so it is available to produce summarizers. Some in progress summarizer jobs may be lost, so it is recommended to wait for all jobs to complete before proceeding.

This endpoint is restricted to the following roles: admin, super admin

HTTP Request

PUT /api/v2/hosts/{hostname}/summarizer-engines/{engineId}/start

Path Parameters

Name Type Description
hostname string Name of host
engineId string Identifier of summarizer engine

Returns

Returns the started summarizer engine as a SummarizerEngine object.

Stop a summarizer engine

Example Request:

curl "https://controller-host:8001/api/v2/hosts/controller-host/summarizer-engines/cd51/stop" \
	-X PUT \
	-u u_jsmith@example.com_u0VmztKJrwqf:

Example Response:

{
    "config": {
        "id": "cd51",
        "host": "controller-host",
        "hostAgentPort": 4637,
        "returnIndexesOnly": false,
        "minSegmentLength": 0,
        "requireEosPunctuation": true,
        "summaryLength": 3,
        "summarizationTimeout": 600
    },
    "running": true,
    "expectedRunning": false
}

Stop an existing summarizer engine so it is no longer available to produce summarizers. Some in progress summarizer jobs may be lost, so it is recommended to wait for all jobs to complete before proceeding.

This endpoint is restricted to the following roles: admin, super admin

HTTP Request

PUT /api/v2/hosts/{hostname}/summarizer-engines/{engineId}/stop

Path Parameters

Name Type Description
hostname string Name of host
engineId string Identifier of summarizer engine

Returns

Returns the stopped summarizer engine as a SummarizerEngine object.

Reset a summarizer engine config

Example Request:

curl "https://controller-host:8001/api/v2/hosts/controller-host/summarizer-engines/cd51/reset-config" \
	-X PUT \
	-u u_jsmith@example.com_u0VmztKJrwqf:

Example Response:

"OK"

Reset an existing summarizer engine config to default settings. The summarizer engine must be restarted for the new settings to take effect.

This endpoint is restricted to the following roles: admin, super admin

HTTP Request

PUT /api/v2/hosts/{hostname}/summarizer-engines/{engineId}/reset-config

Path Parameters

Name Type Description
hostname string Name of host
engineId string Identifier of summarizer engine

Returns

Returns HTTP Status 200 (OK).

Delete a summarizer engine

Example Request:

curl "https://controller-host:8001/api/v2/hosts/controller-host/summarizer-engines/cd51" \
	-X DELETE \
	-u u_jsmith@example.com_u0VmztKJrwqf:

Example Response:

{
    "config": {
        "id": "cd51",
        "host": "controller-host",
        "hostAgentPort": 4637,
        "returnIndexesOnly": false,
        "minSegmentLength": 0,
        "requireEosPunctuation": true,
        "summaryLength": 3,
        "summarizationTimeout": 600
    },
    "running": true,
    "expectedRunning": true
}

Delete a summarizer engine from a host. This operation will cause all job engines to be stopped, and restarted if they were previously running.

This endpoint is restricted to the following roles: admin, super admin

HTTP Request

DELETE /api/v2/hosts/{hostname}/summarizer-engines/{engineId}

Path Parameters

Name Type Description
hostname string Name of host
engineId string Identifier of summarizer engine

Returns

Returns the deleted summarizer engine as a SummarizerEngine object.

In this page
Back to top